#
# spec file for package perl-MIME-Charset
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MIME-Charset
Version:        1.011.1
Release:        4.2
%define cpan_name MIME-Charset
Summary:        Charset Information for MIME
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MIME-Charset/
Source:         http://www.cpan.org/authors/id/N/NE/NEZUMI/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
#BuildRequires: perl(CPANPLUS::Backend)
#BuildRequires: perl(inc::Module::Install)
#BuildRequires: perl(JSON)
#BuildRequires: perl(LWP::Simple)
#BuildRequires: perl(MIME::Charset)
#BuildRequires: perl(MIME::Charset::_Compat)
#BuildRequires: perl(MIME::Charset::Defaults)
#BuildRequires: perl(Module::AutoInstall)
#BuildRequires: perl(Module::Build)
#BuildRequires: perl(Module::Install::Base)
#BuildRequires: perl(Parse::CPAN::Meta)
#BuildRequires: perl(YAML::Tiny)
%{perl_requires}

%description
MIME::Charset provides information about character sets used for MIME
messages on Internet.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ARTISTIC Changes COPYING README

%changelog
* Mon Nov 25 2013 coolo@suse.com
- updated to 1.011.1
  * Fix: "shift_jis-2004" did not depend on Encode::JISX0213 but
    Encode::ShiftJIS2004.
  * Chg: Added gb18030 to extended mapping of GB2312.
  * Updated inc::Module::Install to version 1.01.
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.011.0
  * Use Encode::JISX0213 instead of Encode::JIS2K which was not
    fully implemented.
  * Added support for iso-2022-jp-2 and JIS X 0213 encodings.
  * Reformat Changes file to suit to CPAN::Changes::Spec.
* Wed Jun  5 2013 coolo@suse.com
- updated to 1.010
  * Fix: UTF-16 & UTF-32 encoders are died by the texts without BOM.
  * Added a test #6 and some cases to test #4.
  * Changed layout of distribution.
  * No new features.
  * CPAN RT #77715: Spelling mistake in documentation.
  * Bug on CPAN site: cannot render PODs including "=item" with
    non-ASCII.
  * Fix: detect_7bit_charset(): if charset was unknown, returns undef
    instead of "US-ASCII".
  * COPYING: Updated the address of FSF.
* Wed Aug  3 2011 pascal.bleser@opensuse.org
- update to 1.009.1:
  * workaround for aliasing on TIS-620 that is treated as ISO-8859-11 by Encode
  * added WINDOWS-874 as EXTENDED map of TIS-620
  * result of _find_encoder() will be cached
  * 'S' encoding will be resolved numerically, without comparing actually
    encoded lengths
  * added informations for WINDOWS-125[03-8].
- changes from 1.008.2:
  * Bug Fix: body transfer-encoding profile "S" did not work properly, and
    profile for UTF-8 was NOT really updated
- changes from 1.008.1:
  * workaround for CPAN RT#65796: deep recursion error finding invalid charset;
    limit length of charset name up to 75
  * supports Unicode/multibyte on Perl 5.7.3 (experimental)
  * Perl 5.7.3 & 5.8.3: avoid ``Useless use of a constant in void context''
    warnings
* Sat Feb 19 2011 pascal.bleser@opensuse.org
- initial version (1.008)
